summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLlewelyn Trahaearn2018-01-26 02:27:49 -0800
committerLlewelyn Trahaearn2018-01-26 02:27:49 -0800
commit0f1e9b12c9275cf519a48b2aea26d93f27a6a40e (patch)
tree1a63339b7d0a2dba63c411a3b6ebe2064438c037
parentae544c977343bbf0dfdd1f2901bf0e5fe27d5233 (diff)
downloadaur-0f1e9b12c9275cf519a48b2aea26d93f27a6a40e.tar.gz
Mirror changes in [Extra] for ICU 60.1 and include lib32-icu.
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD11
2 files changed, 11 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 36cf438937e..acffa094481 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Sat May 13 19:41:07 UTC 2017
+# Fri Jan 26 10:26:36 UTC 2018
pkgbase = lib32-qt4
pkgdesc = A cross-platform application and UI framework (32-bit)
pkgver = 4.8.7
- pkgrel = 13
+ pkgrel = 14
url = http://www.qt.io
arch = x86_64
license = GPL3
@@ -13,6 +13,7 @@ pkgbase = lib32-qt4
makedepends = cups
makedepends = gcc-multilib
makedepends = lib32-gtk2
+ makedepends = lib32-icu
makedepends = lib32-libcups
makedepends = lib32-libxfixes
makedepends = lib32-mesa
@@ -31,6 +32,7 @@ pkgbase = lib32-qt4
depends = lib32-libxv
depends = lib32-openssl
depends = lib32-sqlite
+ optdepends = lib32-icu: Unicode support
optdepends = lib32-libxcursor: Xcursor support
optdepends = lib32-libxfixes: Xfixes support
optdepends = lib32-libxinerama: Xinerama support
diff --git a/PKGBUILD b/PKGBUILD
index 96e3a9173c0..f020ce2a7d0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,7 @@
pkgname=lib32-qt4
pkgver=4.8.7
-pkgrel=13
+pkgrel=14
pkgdesc='A cross-platform application and UI framework (32-bit)'
arch=('x86_64')
url='http://www.qt.io'
@@ -15,8 +15,9 @@ license=('GPL3' 'LGPL' 'FDL' 'custom')
depends=("${pkgname#lib32-}" 'lib32-alsa-lib' 'lib32-dbus' 'lib32-fontconfig' 'lib32-glib2'
'lib32-libgl' 'lib32-libmng' 'lib32-libpng' 'lib32-libsm' 'lib32-libtiff'
'lib32-libxi' 'lib32-libxrandr' 'lib32-libxv' 'lib32-openssl' 'lib32-sqlite')
-makedepends=('cups' 'gcc-multilib' 'lib32-gtk2' 'lib32-libcups' 'lib32-libxfixes' 'lib32-mesa')
-optdepends=('lib32-libxcursor: Xcursor support'
+makedepends=('cups' 'gcc-multilib' 'lib32-gtk2' 'lib32-icu' 'lib32-libcups' 'lib32-libxfixes' 'lib32-mesa')
+optdepends=('lib32-icu: Unicode support'
+ 'lib32-libxcursor: Xcursor support'
'lib32-libxfixes: Xfixes support'
'lib32-libxinerama: Xinerama support'
'lib32-sni-qt: StatusNotifierItem (AppIndicators) support')
@@ -104,12 +105,14 @@ prepare() {
# Fix build with OpenSSL 1.1 (Debian + OpenMandriva)
patch -p1 -i "$srcdir"/qt4-openssl-1.1.patch
+
+ echo "QMAKE_CXXFLAGS += -std=gnu++98" >> src/3rdparty/javascriptcore/JavaScriptCore/JavaScriptCore.pri
+ echo "QMAKE_CXXFLAGS += -std=gnu++98" >> src/plugins/accessible/qaccessiblebase.pri
}
build() {
export QT4DIR="${srcdir}"/${_pkgfqn}
export LD_LIBRARY_PATH=${QT4DIR}/lib:${LD_LIBRARY_PATH}
- export CXXFLAGS+=" -std=gnu++98" # Fix build with GCC 6
export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
# export PKG_CONFIG_LIBDIR='/usr/lib32/pkgconfig'